1. Frank Wong's Avatar
    I have a rca tablet, running android 4.4 KitKat, I go to Google play and try to install the new words with friend, but it says it is not compatible with this device, any idea why? or any sideload i can use, thanks
    12-09-2014 08:51 PM
  2. B. Diddy's Avatar
    Welcome to Android Central! There can be many reasons why an app isn't compatible. It can be due to hardware or software incompatibilities. You could try other app sources like Amazon Appstore, GetJar, or SlideMe to see if it's available there. Downloading an apk file from a random filesharing site puts you at risk for malware, so I would caution against it.
    Frank Wong likes this.
    12-10-2014 12:54 AM
  3. Frank Wong's Avatar
    hi,
    using the amazon app and it worked, able to download and install, thanks for the hint..
    B. Diddy likes this.
    12-10-2014 02:03 PM

Similar Threads

  1. Earbuds with working volume control and voice command button?
    By emerrow in forum Samsung Galaxy Note 4
    Replies: 5
    Last Post: 12-11-2014, 09:49 AM
  2. Replies: 1
    Last Post: 12-09-2014, 09:19 PM
  3. Replies: 1
    Last Post: 12-09-2014, 08:25 PM
  4. Replies: 2
    Last Post: 12-09-2014, 08:01 PM
  5. How do I connect to 802.1x EAP Samsung Galaxy S4 rooted VZW?
    By Pleasehelp1 in forum Samsung Galaxy S4
    Replies: 0
    Last Post: 12-09-2014, 06:31 PM
LINK TO POST COPIED TO CLIPBOARD